Name:    kaccessible
Version: 4.8.3
Release: 1%{?dist}
Summary: An accessibility bridge plugin

License: LGPLv2+
URL:     http://accessibility.kde.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: speech-dispatcher-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}

# when split occured
Conflicts: kdeaccessibility < 1:4.7.80

%description
Provides accessibility services like focus tracking and a screen reader.

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
Requires: kdelibs4%{?_isa} >= %{version}
%description libs
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%doc README COPYING.LIB
%{_kde4_libexecdir}/kaccessibleapp
%{_datadir}/dbus-1/services/org.kde.kaccessible.service

%files libs
%{_kde4_libdir}/kde4/plugins/accessiblebridge/


%changelog
* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Tue Mar 06 2012 Radek Novacek <rnovacek@redhat.com> 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Thu Dec 08 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- 4.7.90

* Mon Nov 28 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.80-1
- initial package
